/*
 * Example for DC Motor 5 click
 *
 * Date         Apr 2017
 * Author       Djordje Rosic
 *
 * Test configuration PIC32 :
 *  MCU           :        P32MX795F512L
 *  Dev. Board    :        EasyPIC Fusion v7
 *  SW            :        mikroC PRO for PIC32 v3.6.1
 *
 * Description :
 *
 * This example demonstrates the use of DC Motor click 5. Click will put the
 * motor in all 4 possible states.
 *
 ******************************************************************************/


sbit IN1_PIN at LATD0_bit;
sbit IN1_PIN_DIR at TRISD0_bit;
sbit IN2_PIN at LATE8_bit;
sbit IN2_PIN_DIR at TRISE8_bit;


/*
 * System Initialization
 */
void systemInit()
{
    IN1_PIN_DIR = 0;
    IN2_PIN_DIR = 0;

    IN1_PIN = 0;
    IN2_PIN = 0;
}

void main()
{
    systemInit();

    while (1)
    {
    // Coast

        IN1_PIN = 0;
        IN2_PIN = 0;
        Delay_ms (5000);


    // Reverse

        IN1_PIN = 0;
        IN2_PIN = 1;
        Delay_ms (5000);


    // Brake

        IN1_PIN = 1;
        IN2_PIN = 1;
        Delay_ms (5000);


    // Forward

        IN1_PIN = 1;
        IN2_PIN = 0;
        Delay_ms (5000);


    }
}
/************************************************************ END OF FILE *****/